Миллионы Android-устройств имеют серьёзную уязвимость

Как сообщает Тод Бердсли, аналитик по вопросам безопасности компании Rapid7, все версии Android ниже 4.4 KitKat имеют серьёзную уязвимость в системе безопасности, которой могут воспользоваться злоумышленники. Ошибка находится в элементе WebView, являющимся неотъемлемой частью Android 4.3 и всех ранний версий системы и позволяющим отображать Интернет-контент в нужном приложении. Также данный элемент системы работает с большим числом основных сервисов Android, что значительно увеличивает масштаб поражения в случае взлома.

Сообщается, что на сегодняшний день уязвимы к вредоносным атакам по вышеуказанной причине около 939 миллионов Android-устройств. Казалось бы, специалисты Google должны в срочном порядке работать над решением проблемы, но на самом деле компания не заинтересована в исправлении ошибки безопасности WebView, оставляя это самим производителям устройств. Учитывая проблему фрагментации Android, многие пользователи так и останутся лёгкой мишенью для злоумышленников, знающих об этой уязвимости.

"Если уязвимая версия (WebView) ниже 4.4, то мы, как правило, не делаем патчи самостоятельно, но приветствуем и рассматриваем патчи с отчётом об ошибке. Помимо уведомления производителей устройств мы не можем принять никаких действий относительно любого отчёта об ошибке в версии системы ниже 4.4", — ответили в Google на заявление Тода Бердсли.

В Android 4.4.x KitKat и Android  5.0 Lollipop Google начала использовать новый элемент для отображения Интернет-контента, поэтому девайсам, работающих на этих версиях системы, ничего не угрожает.